LucasForums

LucasForums (http://www.lucasforums.com/index.php)
-   Tech Center (http://www.lucasforums.com/forumdisplay.php?f=110)
-   -   WinXP 64....Compatable? (http://www.lucasforums.com/showthread.php?t=153879)

UFDF C.Reed 10-16-2005 08:36 AM

WinXP 64....Compatable?
 
Hi guys, im new here, but a long time star wars fan. I have a 64bit machine, with xp64, and i cant get my xwa or xvst to even install. have altered the compatability modes, but no luck. is it possible to get them to work? or are my games lost to the darkside forever? :vsd:

Wildstar 10-16-2005 12:04 PM

The problem is that XvT and XWA need a 16-bit loader to load the installation program (which is 32-bit and otherwise compatible) and, as you might have figured out, the 64-bit XP doesn't natively support 16-bit code. Research into the problem is going on @ the XWA Upgrade Project and we will let you know if we find a workaround.

TheOssusKeeper 10-16-2005 12:26 PM

Quote:

Originally Posted by Wildstar
The problem is that XvT and XWA need a 16-bit loader to load the installation program (which is 32-bit and otherwise compatible) and, as you might have figured out, the 64-bit XP doesn't natively support 16-bit code. Research into the problem is going on @ the XWA Upgrade Project and we will let you know if we find a workaround.

Thats wierd that you can't get them to work in compat mode...
Thats basically what compat mode is for, running 16 and 32-bit apps on a 64-bit version of Win.... Have you consulted your Win. doc.'s for help on the compat. part?

you may need to make a new autoexec.bat file and a new config file for these games to be compat... don't know if that will help or not, I'm not using the 64-bit version...

UFDF C.Reed 10-26-2005 02:55 PM

Not altered any files to speak of, i'd probably mess that up! I'll wait on any news you have, thanks all the same guys!

Wildstar 11-18-2005 06:17 PM

Good news...a workaround has been posted on this thread and will eventually be incorporated into the official "Problems FAQ" on XWA Upgrade. :D

UFDF C.Reed 11-23-2005 02:42 PM

yay! cheers guys!

UFDF C.Reed 11-23-2005 03:18 PM

:( I tried it to no avail. The only difference i saw was the version in the reg you made up, its 2.02, mine is 1.0. Thats the only thing i altered. When i click on setup it just says its not compatible with 64bit, or its designed to run on a machine but not the current one. So i copied as you said all the files to the directory you said, did the reg bit, clicked on setup...nothing! where did i go wrong?

Wildstar 11-24-2005 09:16 PM

C.Reed

Try changing the version # in the .reg file shown in the thread. You should be able to apply the 2.02 patch (found on LucasArts.com or on Darksaber's site) later. If there are still problems, post them here, and I'll direct Admiral Alistair (who assures me what he posted works) to this thread. Or post in the thread I gave you. ;)

Wildstar 11-25-2005 03:58 PM

Just thought of another thing, C.Reed, after looking @ my own copy of XWA. You should not be trying to run setup.exe. The files on the CDs are actually uncompressed and the setup program just copies them over to the hard disk. But, if you followed the directions in the thread, they will be already copied, therefore, there should be no need to run "setup". :D

UFDF C.Reed 11-25-2005 05:57 PM

Ahhhh...the penny drops! Got it going, thanks friend. Just one more thing, what about contents of disk 2? where does that go, or does that happen automatically? Oh and where can i go online, i have broadband.

Wildstar 11-26-2005 11:54 AM

Disk 2 probably should be copied, to be on the safe side. As far as online play goes, you might want to hang around the BattleStats forums. Being the "Week of War" people, they'd know more than anyone about playing online.


All times are GMT -4. The time now is 07:42 AM.

Powered by vBulletin®
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
LFNetwork, LLC ©2002-2011 - All rights reserved.